Bug 107087 - Background/Area Fill for paragraphs resetting to default everytime
Summary: Background/Area Fill for paragraphs resetting to default everytime
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.5.0
Keywords:
: 103262 108905 (view as bug list)
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2017-04-11 07:36 UTC by Nithin
Modified: 2019-01-04 12:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The tab in the format editor window which resets everytime. (103.00 KB, image/png)
2017-04-11 07:39 UTC, Nithin
Details
Paragraph_Style_Test_Original_Settings (96.62 KB, image/png)
2017-06-12 08:52 UTC, Nithin
Details
Paragraph Style_Test_Settings_Window_Closed_and_Reopened (98.54 KB, image/png)
2017-06-12 08:53 UTC, Nithin
Details
Paragraph Style_Test_Settings_File_Closed_and_Reopened (96.36 KB, image/png)
2017-06-12 08:54 UTC, Nithin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nithin 2017-04-11 07:36:59 UTC
Description:
The Background fill information is not populated correctly into the Format-Paragraph Window

Steps to Reproduce:
1.Set a non default background image as background and change some properties using the Format-Paragraph Window
2. Close it and apply it to paragraphs. Everything works fine.
3. Now reopen the edit paragraph formatiing window again for Custom Format described above.
4. Go to the Area-Fill Tab. The default fill properties setting are selected and activated, implying the saved prooperties are not correctly populated. 

Actual Results:  
1. If the Format-Paragraph window is closed with the Area-Fill Tab open it reopens in the same tab in Step 4 and all fill poperties must be set again.
2. When modifying Fill parameters to adjust and find the right setting. Fill properties must be reset again.

Expected Results:
The fill properties once set must be correctly repopulated into the Format-Editor Window.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Nithin 2017-04-11 07:39:13 UTC
Created attachment 132466 [details]
The tab in the format editor window which resets everytime.
Comment 2 Alex Thurgood 2017-04-12 07:11:12 UTC
Wrong module - setting to Writer. "Base" in bugzilla refers to the database module.
Comment 3 Nithin 2017-04-14 15:32:37 UTC
This feature works fine on the Still Version 5.2.6. This bug has come up after the introduction of the upgraded Format Properties Window.
Comment 4 Buovjaga 2017-04-26 11:33:44 UTC
I think there were some fixes to the dialog recently. Could you try with 5.3.2.2?
Comment 5 Nithin 2017-05-01 17:42:34 UTC
I check this in the 5.4 released for bug hunting, and it still exists. This has become a hurdle and I had to shift back to the still version.
Comment 6 Buovjaga 2017-05-02 03:37:19 UTC
I reproduce.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: aca48f46895811009ec90665d816ef835f0694be
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 30th 2016
Comment 7 Katarina Behrens (CIB) 2017-05-03 16:47:26 UTC
gradient, hatch and bitmap tab had the same issue, I've fixed the first two, bitmap is still pending
Comment 8 Commit Notification 2017-06-08 21:14:54 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b96174fac58eff71f0a8d2ad1e99b7776e34c33b

tdf#107087: Select bitmap fill from preset list

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Nithin 2017-06-12 08:52:50 UTC
Created attachment 133968 [details]
Paragraph_Style_Test_Original_Settings
Comment 10 Nithin 2017-06-12 08:53:40 UTC
Created attachment 133969 [details]
Paragraph Style_Test_Settings_Window_Closed_and_Reopened
Comment 11 Nithin 2017-06-12 08:54:01 UTC
Created attachment 133970 [details]
Paragraph Style_Test_Settings_File_Closed_and_Reopened
Comment 12 Nithin 2017-06-12 08:59:56 UTC
Checked on /daily/master/Win-x86_64@42/2017-06-10_01.17.34
Bug still unresolved. Behaviour changed a little bit though.

Steps to repeat new behaviour

1. Open new file.

2. Create new Paragraph format and give it a name.

3. Change the area fill setting to as shown in Image 1. (Load an external image not select a default one - This step is necessary to simulate a second buggy bahaviour) * Image_1: Paragraph Format Settings - Original Intended

4. Apply and Save settings close the window.

5. Reopen paragraph setting window by Right click > Modify

*The Style, Size and Position what was previously set is now changed to something different. This can be seen in image 2

*Image_2: Paragraph Style_Test_Settings_Window_Closed_and_Reopened

--> This is the first minor bug

6. For the second minor bug. > Save file > Close File and Reopen it. 
7. Reopen paragraph setting window by Right click > Modify

8. In addition to the first minor bug the External loaded image is now not displayed in the list.

Image_3: Paragraph Style_Test_Settings_File_Closed_and_Reopened
Comment 13 Nithin 2017-06-12 09:31:47 UTC
The second bug which occurs when file is closed and reopened also exists in the Gradient and Hatching Tab as well. Shall i post the details here or shall I open a new bug for that? In both cases data is not lost and only the data from the file is not populated back to the window properly.
Comment 14 Nithin 2017-06-12 09:59:01 UTC
All the above Problems can be found in the Pattern tab as well.
Comment 15 Buovjaga 2017-06-13 10:17:04 UTC
(In reply to Nithin from comment #12)
> Checked on /daily/master/Win-x86_64@42/2017-06-10_01.17.34
> Bug still unresolved. Behaviour changed a little bit though.
> 
> Steps to repeat new behaviour
> 
> 1. Open new file.
> 
> 2. Create new Paragraph format and give it a name.
> 
> 3. Change the area fill setting to as shown in Image 1. (Load an external
> image not select a default one - This step is necessary to simulate a second
> buggy bahaviour) * Image_1: Paragraph Format Settings - Original Intended
> 
> 4. Apply and Save settings close the window.
> 
> 5. Reopen paragraph setting window by Right click > Modify
> 
> *The Style, Size and Position what was previously set is now changed to
> something different. This can be seen in image 2
> 
> *Image_2: Paragraph Style_Test_Settings_Window_Closed_and_Reopened
> 
> --> This is the first minor bug
> 
> 6. For the second minor bug. > Save file > Close File and Reopen it. 
> 7. Reopen paragraph setting window by Right click > Modify
> 
> 8. In addition to the first minor bug the External loaded image is now not
> displayed in the list.
> 
> Image_3: Paragraph Style_Test_Settings_File_Closed_and_Reopened

I repro both things

Win 7 Pro 64-bit Version: 6.0.0.0.alpha0+ (x64)
Build ID: a1ace08b5b86a76e7275dcef2545a7d52ae2ed2d
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-06-13_03:04:47
Locale: fi-FI (fi_FI); Calc: CL
Comment 16 Katarina Behrens (CIB) 2017-06-13 10:24:21 UTC
(In reply to Nithin from comment #13)
> The second bug which occurs when file is closed and reopened also exists in
> the Gradient and Hatching Tab as well. Shall i post the details here or
> shall I open a new bug for that? In both cases data is not lost and only the
> data from the file is not populated back to the window properly.

That is bug #103916. It works if you save those presets in Format > Area tab, only there & nowhere else. 

It's challenging to fix as one needs to tunnel certain data through 20 layers of abstraction, but hey, that's improved UX for you!

:tableflip:
Comment 17 Nithin 2017-06-16 07:44:03 UTC
> That is bug #103916. It works if you save those presets in Format > Area
> tab, only there & nowhere else. 
> 
> It's challenging to fix as one needs to tunnel certain data through 20
> layers of abstraction, but hey, that's improved UX for you!
> 
> :tableflip:

Just checked the behaviour in Still version. This is indeed a complex bug. I will have to check up the behaviour again in detail when I have time. If i may ask. Why isnt the same code used in both places?
Comment 18 Rainer Bielefeld Retired 2017-12-26 07:01:28 UTC
There are various issues in the page background area, and it is necessary to distinguish strictly. There might be relations between those issues, but they seem to start with different versions and also some of  them seem to have become fixed in between with different Target Milestones.

this one mixes some different problems. The original problem is concerning the effect that Format Page Dialog loses connection to imported picture, which is already reproducible with Version: 5.2.0.4 (x64)
Build-ID: 066b007f5ebcc236395c7d282ba488bca6720265
CPU-Threads: 4; BS-Version: Windows 6.1; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE).

But for example various screenshots show the problem that particular size and scaling settings will not be shown correctly after reopening Format Page Dialog from page contents view, and this is still ok with  5.2.0.4 (x64). So I think we should use this one as collection of materials for creation of new reports precisely describing a particular effect with clearly described appearance (and may be vanishing). Finding relations between those issues would be a second step.

This one is concerning "on board" and also imported (bitmap) pictures as page background.

STR:
11. Open Attachment 134433 [details]
12. Menu ‘format → Page → Background → Picture
   Expected: Shows information related to actual imported background picture 
             (like OOo does and also LibO 5.0.4.2)
   Actual: connection to actual imported picture lost, shows arbitrary (default)
        values for size, position and so on: "Tiled", "176%"

Step 4 of original report demonstrates the problem, but is not necessary to provoke the issue, also reporter's screenshots of settings show this

a1) Already reproducible with Version 5.4.3  
a2) Was still ok with Version: 5.2.0.4 (x64)
    Build-ID: 066b007f5ebcc236395c7d282ba488bca6720265
    CPU-Threads: 4; BS-Version: Windows 6.1; UI-Render: Standard; 
    Gebietsschema: de-DE (de_DE)
    and also Version: 5.0.4.2,    
    Build-ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
    Gebietsschema: de-DE (de_DE), German language UI, normal User Profile
Comment 19 Rainer Bielefeld Retired 2017-12-26 07:02:36 UTC
Argh, please ignore text starting with "This one is concerning "on board" ..." from comment above!
Comment 20 Telesto 2018-04-04 11:37:55 UTC
*** Bug 108905 has been marked as a duplicate of this bug. ***
Comment 21 Katarina Behrens (CIB) 2018-04-07 21:49:40 UTC
*** Bug 103262 has been marked as a duplicate of this bug. ***